Bug 1126953 - Only need 1 admin user, instead of 3 admins configured at installation time
Summary: Only need 1 admin user, instead of 3 admins configured at installation time
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Data Virtualization 6
Classification: JBoss
Component: Installer, Documentation
Version: 6.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ER1
: 6.1.0
Assignee: Thomas Hauser
QA Contact: Len DiMaggio
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-05 17:19 UTC by Van Halbert
Modified: 2016-02-10 08:54 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-02-10 08:54:14 UTC
Type: Bug


Attachments (Terms of Use)

Comment 2 Van Halbert 2014-08-06 15:38:55 UTC
Now with this change, will need to add a "modeshapeUser", with roles of connect and readonly.   This user/password should be substituted into the datasource ModeShapeDS, not the admin user.

Comment 3 Thomas Hauser 2014-08-06 16:15:18 UTC
One issue I see with this is that the user is currently allowed to not define an EAP admin user if they're installing on top of EAP. With this change, this feature will have to be removed, and replaced with a check on the specified username in the existing user file. Not a problem, just a change in functionality.

Comment 5 Jan Stastny 2014-12-03 08:58:33 UTC
In ER4, the modeshapeUser has roles 'connect' and 'admin'. Is it expected configuration? As it is inconsistent with ER1,ER2,ER3 milestones.

Comment 6 Van Halbert 2014-12-03 15:04:22 UTC
It was incorrect in the beginning to no include "admin" role, for which is needed to create the published areas when publishing files using the ModeShape JBDS tooling.

The modeshape roles were defined by horia for documentation in this bz: https://bugzilla.redhat.com/show_bug.cgi?id=1158561

So the need for "connect" and "admin" were determined to be the only 2 that are needed.  Adding "read-only" just duplicated the permissions already given by the "admin" role.


Note You need to log in before you can comment on or make changes to this bug.